Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-4600

mariadb-galera-server-5.5 on ubuntu has no dependency to galera while debian has

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed (View Workflow)
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 5.5.29-galera
    • Fix Version/s: 5.5.32-galera
    • Component/s: None
    • Labels:
      None
    • Environment:
      ubuntu 12.04

      Description

      Dependency to galera on ubuntu 12.04 is missing:
      Depends: mariadb-client-5.5 (>= 5.5.29-mariadb1~precise), libdbi-perl, perl (>= 5.6), libaio1 (>= 0.3.93), libc6 (>= 2.15), libpam0g (>= 0.99.7.1), libssl1.0.0 (>=
      1.0.0), libstdc++6 (>= 4.6), zlib1g (>= 1:1.2.0), debconf (>= 0.5) | debconf-2.0, psmisc, passwd, lsb-base (>= 3.0-10), libmariadbclient18 (>=
      5.5.29-mariadb1~precise)

      So installing mariadb-galera-server-5.5 will not be sufficient for a cluster.
      On the other hand the debian and rpm packages ships with a dependency to galera.
      Which is inconsistent.

      Regards
      Erkan

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              holyfoot Alexey Botchkov
              Reporter:
              erkules erkan yanar
              Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Git Integration